Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.install4j.api.context
Interface ProgressInterface

All Known Subinterfaces:
  Console

    public interface ProgressInterface

The user notification interface during installation. It displays progress and messages and can ask questions relevant for installation purposes in custom actions.

Status messages and progress are only displayed if the progress interface is used by an action and the containing screen offers its own progress interface, like the "Installation" screen or the customizable "Display progress" screen.

Author:
  ej-technologies GmbH
See Also:
  `Screen.getProgressInterface(ProgressInterface)`, `Context.getProgressInterface()`

Field Summary
`static int` | `OVERWRITE_ALL` Returned by `askOverwrite` if the user hits "All".
`static int` | `OVERWRITE_NEVER` Returned by `askOverwrite` if the user hits "Never".
`static int` | `OVERWRITE_NO` Returned by `askOverwrite` if the user hits "No".
`static int` | `OVERWRITE_YES` Returned by `askOverwrite` if the user hits "Yes".
`static int` | `RETRY_CANCEL` Returned by `askRetry` if the user hits "Cancel".
`static int` | `RETRY_NO` Returned by `askRetry` if the user hits "No".
`static int` | `RETRY_YES` Returned by `askRetry` if the user hits "Yes".

Method Summary
`boolean` | `askContinue(java.io.File file)` Asks the user whether to continue after the specified file could not be installed.
`int` | `askOverwrite(java.io.File file)` Asks the user whether the specified file should be overwritten.
`int` | `askRetry(java.io.File file)` Asks the user whether the installer should retry to overwrite the specified file.
`int` | `getPercentCompleted()` Retrieves the current progress value
`void` | `setDetailMessage(java.lang.String message)` Sets the detail message on the progress screen.
`void` | `setIndeterminateProgress(boolean indeterminateProgress)` Indicate that an action is performed whose duration is not known.
`void` | `setPercentCompleted(int value)` Sets the percentage of completion of the current action.
`void` | `setStatusMessage(java.lang.String message)` Sets the status message on the progress screen.
`void` | `showFailure(java.lang.String message)` Shows an error dialog with the specified message.

Field Detail

### OVERWRITE_NO

    static final int OVERWRITE_NO

  Returned by `askOverwrite` if the user hits "No".

  See Also:
    Constant Field Values

### OVERWRITE_YES

    static final int OVERWRITE_YES

  Returned by `askOverwrite` if the user hits "Yes".

  See Also:
    Constant Field Values

### OVERWRITE_ALL

    static final int OVERWRITE_ALL

  Returned by `askOverwrite` if the user hits "All".

  See Also:
    Constant Field Values

### OVERWRITE_NEVER

    static final int OVERWRITE_NEVER

  Returned by `askOverwrite` if the user hits "Never".

  See Also:
    Constant Field Values

### RETRY_NO

    static final int RETRY_NO

  Returned by `askRetry` if the user hits "No".

  See Also:
    Constant Field Values

### RETRY_YES

    static final int RETRY_YES

  Returned by `askRetry` if the user hits "Yes".

  See Also:
    Constant Field Values

### RETRY_CANCEL

    static final int RETRY_CANCEL

  Returned by `askRetry` if the user hits "Cancel".

  See Also:
    Constant Field Values

Method Detail

### setStatusMessage

    void setStatusMessage(java.lang.String message)

  Sets the status message on the progress screen.

  Note: Has no effect if not called from an action or if the containing screen doesn't display progress.

  Parameters:
    `message` - the new message.

### setDetailMessage

    void setDetailMessage(java.lang.String message)

  Sets the detail message on the progress screen. This message is shown below the status message.

  Note: Has no effect if not called from an action or if the containing screen doesn't display progress.

  Parameters:
    `message` - the new message.

### setPercentCompleted

    void setPercentCompleted(int value)

  Sets the percentage of completion of the current action.

  Note: Has no effect if not called from an action or if the containing screen doesn't display progress.

  Parameters:
    `value` - a value between 0 and 100.

### getPercentCompleted

    int getPercentCompleted()

  Retrieves the current progress value

  Returns:
    the current progress value between 0 and 100. Always returns 0 if not called from an action or if the containing screen doesn't display progress.

### setIndeterminateProgress

    void setIndeterminateProgress(boolean indeterminateProgress)

  Indicate that an action is performed whose duration is not known.

  Note: Has no effect if not called from an action or if the containing screen doesn't display progress.

  Parameters:
    `indeterminateProgress` - pass `true` to switch on indeterminate progress feedback and `false` to switch it off again. When you switch it off, the previously set percentage will be shown in the progess bar.

### showFailure

    void showFailure(java.lang.String message)

  Shows an error dialog with the specified message.

  Parameters:
    `message` - the error message

### askOverwrite

    int askOverwrite(java.io.File file)
                     throws UserCanceledException

  Asks the user whether the specified file should be overwritten.

  Parameters:
    `file` - the file in question.
  Returns:
    one of the `OVERWRITE_*` constants.
  Throws:
    `UserCanceledException` - if the user cancels the question

### askRetry

    int askRetry(java.io.File file)
                 throws UserCanceledException

  Asks the user whether the installer should retry to overwrite the specified file.

  Parameters:
    `file` - the file in question.
  Returns:
    one of the `RETRY_*` constants
  Throws:
    `UserCanceledException` - if the user cancels the question

### askContinue

    boolean askContinue(java.io.File file)
                        throws UserCanceledException

  Asks the user whether to continue after the specified file could not be installed.

  Parameters:
    `file` - the file in question.
  Returns:
    `true` if the user wants to continue the installation.
  Throws:
    `UserCanceledException` - if the user cancels the question

Overview | Package | Class | Tree | Deprecated | Index | Help
| install4j API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD